package com.nisum.ecomservice.service;

import com.nisum.ecomservice.model.CartItem;
import com.nisum.ecomservice.model.User;
import com.nisum.ecomservice.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@Service
public class UserService {

    @Autowired
    private UserRepository userRepository;


    public Flux<User> getUsers() {
        return userRepository.findAll();
    }
}

